#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDA,0x29,0xDE,0x4C,0x1F,0xF0,0x90,0x02,0xE8,0x4A,0x5C,0x64,
		0xC6,0xD8,0xE2,0x20,0x3E,0x25,0xB5,0x0C,0x47,0x53,0x9A,0x26,
		0x7F,0x85,0xCC,0x63,0x1E,0x40,0x88,0xCE,0xF7,0x3D,0xB7,0x89,
		0x08,0x02,0xFD,0x6C,0x48,0x8E,0x94,0x64,0x62,0x94,0x0C,0xA3,
		0x6C,0x51,0xF0,0x82,0x4B,0x40,0x33,0xC0,0x8B,0xEA,0x26,0x77,
		0xE9,0xF7,0x6C,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
